@import url('https://fonts.googleapis.com/css2?family=Inter+Tight:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body{
    font-family: "Inter Tight", Lato, Arial, Helvetica, sans-serif;
    font-size: 20px;
    color: #3e0e4e;
    overflow: overlay;
    overflow-x: hidden;
}

.animate{ transition: 0.5s ease; }
.animated{ transition: 0.5s ease; }

.btn-prim{
    display: inline-block;
    padding: 10px 30px;
    color: white;
    border: 2px solid white;
    text-decoration: none;
    border-radius: 2000px;
    position: relative;
    overflow: hidden;
    z-index: 1;
    transition: 0.4s ease;
}

.btn-prim::before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: white;
    z-index: -1;
    transition: 0.4s ease;
}

.btn-prim:hover{
    color: #AD2AD8;
    box-shadow: 0 0 30px #00000020;
}

.btn-prim:hover::before{
    width: 100%;
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}
  
::-webkit-scrollbar-thumb {
    background: #6b1986;
    border-radius: 200px;
}
  
::-webkit-scrollbar-track {
    background: #6b198620;
}








#header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 120px;
    padding: 20px clamp(30px, 10%, 10%);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 10000000;
    transition: 0.5s ease;
}

#header > a{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 20px;
    font-size: 30px;
    font-weight: 900;
    text-decoration: none;
    color: white;
    transition: 0.5s ease;
}

#header > a img{
    max-width: 100px;
    max-height: 50px;
    filter: brightness(0) invert(1);
    transition: 0.5s ease;
}

#header > a span{
    transition: 0.3s ease;
}

#header-menu{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 20px;
}

#header-menu a{
    color: white;
    text-decoration: none;
    position: relative;
    transition: 0.3s ease;
}

#header-menu a::before{
    content: "";
    position: absolute;
    bottom: -8px;
    left: 0;
    background-color: white;
    height: 2px;
    width: 0;
    transition: 0.3s ease;
}

#header-menu a:hover::before{
    width: 100%;
}

#header-menu i{
    font-size: 30px;
    color: white;
    display: none;
    transition: 0.3s ease;
}

#header.isSticky{
    background-color: white;
    box-shadow: 0 0 40px #00000020;
}

#header.isSticky > a img{
    filter: brightness(1);
}

#header.isSticky > a span{
    color: #AD2AD8;
}

#header.isSticky #header-menu a{
    color: #3e0e4e;
}
#header.isSticky #header-menu i{
    font-size: 30px;
    color: #3e0e4e;
}

#header.isSticky #header-menu a::before{
    background-color: #3e0e4e;
}










#menu{
    position: fixed;
    padding: 30px;
    top: 0;
    right: -350px;
    z-index: 10000000000;
    background-color: white;
    height: 100vh;
    width: 80%;
    max-width: 300px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-flow: column;
    gap: 2px;
    overflow-y: auto;
    transition: 1s cubic-bezier(0.165, 0.84, 0.44, 1);
}

#menu i{
    font-size: 30px;
    align-self: flex-end;
    color: #6b1986;
}

#menu a{
    text-decoration: none;
    padding: 20px 0;
    color: #6b1986;
}











#banner{
    position: relative;
    padding: 100px clamp(30px, 10%, 10%);
    background: linear-gradient(45deg, #A181E5, #AD2AD8);
    color: white;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 20px;
}

#banner h2{
    font-size: 50px;
}

#banner p{
    max-width: 800px;
    opacity: 0.75;
}








footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 50px;
    padding: 50px clamp(30px, 10%, 10%);
}

#footer-left{
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-flow: column;
    gap: 30px;
    max-width: 500px;
    width: 100%;
}

#footer-left-logo{
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    flex-flow: column;
    gap: 5px;
}

#footer-left-logo img{
    max-height: 80px;
}

#footer-left-logo span{
    font-size: 40px;
    font-weight: 1000;
}

#footer-left-links{
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    gap: 10px;
}

#footer-left-links a{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    width: 60px;
    aspect-ratio: 1/1;
    text-decoration: none;
    border: 1px solid #AD2AD880;
    border-radius: 200px;
    color: #AD2AD8;
    transition: 0.5s ease;
}

#footer-left-links a:hover{
    background-color: #AD2AD8;
    color: white;
}

#footer-left em{
    display: block;
    justify-self: flex-end;
    margin-top: auto;
    font-style: normal;
}

#footer-right{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 30px;
}

.footer-right-list span{
    font-size: 30px;
    font-weight: 800;
}

.footer-right-list ul{
    list-style-type: none;
}

.footer-right-list a{
    text-decoration: none;
    opacity: 0.8;
    transition: 0.3s ease;
}

.footer-right-list a:hover{
    opacity: 1;
}

@media screen and (max-width: 1000px) {
    footer{
        flex-flow: column;
        justify-content: flex-start;
        align-items: flex-start;
    }
}
@media screen and (max-width: 800px) {
    #header-menu a{
        display: none;
    }
    #header-menu i{
        display: inline;
    }
}
@media screen and (max-width: 500px) {
    #header > a span{
        display: none;
    }
    #footer-right{
        width: 100%;
        display: grid;
        grid-template-columns: repeat(1,1fr);
        gap: 30px;
    }
    #banner h2{
        font-size: 40px;
    }
}











#banner h2.animate{
    opacity: 0;
    transform: translateY(50px);
}
#banner p.animate{
    opacity: 0;
    transform: translateY(50px);
}
#banner a.animate{
    opacity: 0;
    transform: translateY(50px);
}